package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the EnvInfo entity interface here
 */
public interface IEnvInfo extends IEntity {

	
	/**
	 * Set the ClientIp
	 *
	 * @param clientIp
	 * @throws PropertyValidationException
	 */
	public void setClientIp(String clientIp) throws PropertyValidationException;
	
	/**
	 * Get the ClientIp
	 *
	 * @return clientIp
	 */
	public String getClientIp();
	
	
	/**
	 * Set the MerchantIp
	 *
	 * @param merchantIp
	 * @throws PropertyValidationException
	 */
	public void setMerchantIp(String merchantIp) throws PropertyValidationException;
	
	/**
	 * Get the MerchantIp
	 *
	 * @return merchantIp
	 */
	public String getMerchantIp();
	
	
	/**
	 * Set the MerchantTerminalId
	 *
	 * @param merchantTerminalId
	 * @throws PropertyValidationException
	 */
	public void setMerchantTerminalId(String merchantTerminalId) throws PropertyValidationException;
	
	/**
	 * Get the MerchantTerminalId
	 *
	 * @return merchantTerminalId
	 */
	public String getMerchantTerminalId();
	
	
	/**
	 * Set the OrderTerminalType
	 *
	 * @param orderTerminalType
	 * @throws PropertyValidationException
	 */
	public void setOrderTerminalType(String orderTerminalType) throws PropertyValidationException;
	
	/**
	 * Get the OrderTerminalType
	 *
	 * @return orderTerminalType
	 */
	public String getOrderTerminalType();
	
	
	/**
	 * Set the TerminalType
	 *
	 * @param terminalType
	 * @throws PropertyValidationException
	 */
	public void setTerminalType(String terminalType) throws PropertyValidationException;
	
	/**
	 * Get the TerminalType
	 *
	 * @return terminalType
	 */
	public String getTerminalType();
	
	
}
